سؤال كيفية تثبيت GNU Make 4.0 على Ubuntu 12.04


أحتاج إلى GNU Make 4.0+ بسبب الجديد file وظيفة.

كيف يمكنني تثبيت هذا على Ubuntu 12.04؟

لقد حاولت .deb ، ولكن ذلك يعتمد على libc6 2.17.


2
2017-08-18 08:13


الأصل




الأجوبة:


للناس مثلك لقد وضعت للتو 64 بت amd deb من طبعة جديدة لأوبونتو 12.04. طبعة جديدة هو جنو يصنع مع بعض الإضافات. الإصدار المحدد الذي استخدمته كان 4.1.


2
2018-06-17 04:51



أشكرك على إعادة صنعها ، سأجربها. فقط لنعلمك أنه لا يمكن تثبيت الحزمة الخاصة بك في نفس الوقت مع حزمة Ubuntu's make-4. dpkg: أرشيف معالجة الأخطاء /home/thomas/Downloads/remake_4.1+dbg1.0_amd64.deb (--install): محاولة الكتابة فوق '/usr/include/gnumake.h' ، والتي تكون أيضًا في حزمة جعل 4.0-8 - thomie
هل تضيف --replacefiles تهتم بهذا؟ أنا متأكد تماما ما هي أفضل طريقة للتعامل مع هذا الجانب التعبئة. - rocky
rocky ، أي تحديثات على هذا التثبيت. حاولت فقط تثبيت الملف الذي قمت بالارتباط به واحصل على نفس الخطأ ، أنه يحاول الكتابة فوق gnumake.h. لا يبدو أن --replacefiles هو خيار صحيح. - mikeazo